imx6q xenomai patch fail

cancel
Showing results for 
Search instead for 
Did you mean: 

imx6q xenomai patch fail

994 Views
liupeiliu
Contributor I

hi :

i use a imx6q board and kernel linux3.0.35,We want to turn it into a real-time system with xenomai。But when we put a patch into the kernel, we always get Incorrect results。we use linux3.0.35 and xenomai-2.6.4。 The version of patch is adeos-ipipe-3.0.43-mx6q-1.18-14.patch。

The log message is prepare-kernel.sh: Unable to patch kernel 3.0.35 with adeos-ipipe-3.0.43-mx6q-1.18-14.patch.

which version of patch should i use?? some one help me??

 

Labels (2)
0 Kudos
4 Replies

316 Views
highouse1990
Contributor I

maybe kernel version not match ipipe patch version

0 Kudos

316 Views
b45499
NXP TechSupport
NXP TechSupport

Hi,

unfortunately xenomai is not supported in nxp linux bsps, this may be

posted this on meta-fsl-arm mailing list, so that someone familiar with it could try to assist you.
https://lists.yoctoproject.org/listinfo/meta-freescale

You can see the thread Adeneo Embedded - a whitepaper on integrating Xenomai on i.MX6 Linux 

Real-time Linux with Xenomai on Freescale i.MX6 

Hope this can do help for you


Have a great day,
Rita

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos

316 Views
liupeiliu
Contributor I

hi

i can not open this link,shows Unauthorized

Real-time Linux with Xenomai on Freescale i.MX6 

0 Kudos

316 Views
liupeiliu
Contributor I
0 Kudos